<?php
require('config_gest.php');
try{
	$strConnection = 'mysql:host='.MYSQL_HOST.';dbname='.DB_DATABASEVERSION;
	
	$arrExtraParam= array(PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8");
	/*
	Noter qu'avec la version 5.3.0 uniquement de PHP, il y a un bug où la 
	constante PDO::MYSQL_ATTR_INIT_COMMAND n'est pas reconnue. 
	Comme alternative, vous pouvez exécuter la requête suivante immédiatement 
	après avoir établi votre connexion: 
	*/
	$bdd = new PDO($strConnection, MYSQL_USER, MYSQL_PASS, $arrExtraParam); 
	
	//$bdd -> query("SET NAMES 'utf8'");
	
	$bdd->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
	
}catch(Exception $e) {
	$msg = 'ERREUR PDO dans ' . $e->getFile() . ' L.' . $e->getLine() . ' : ' . $e->getMessage();
	die($msg);
}
?>
